<?php

/**
 * Guest form.
 *
 * @package    balsit
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class GuestForm extends BaseGuestForm
{
	public function configure()
	{
		unset($this['created_at'], $this['updated_at']);

		foreach($this->getValidatorSchema()->getFields() as $validator) {

			if($validator instanceof sfValidatorString) {
				$validator->setMessages(
				Array(
			'required' => 'Pole musi być wypełnione.',
			'invalid' => 'Nieprawidłowa zawartość.',
			'max_length' => '"%value%" jest zbyt długie (Maksymalnie %max_length% znaków).',
			'min_length' => '"%value%" is too short (Minimalnie %min_length% znaków).')
				);
			}
		}
		$this->setValidator('email', new sfValidatorEmail(array(), array('required' => 'Pole musi być wypełnione.','invalid' => 'Nieprawidłowy adres e-mail.')));
	}
}
